// creator  : weidu.exe (version 23100)
// argument : UHMER01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~UHMER01~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~Global("VillageSaved","GLOBAL",0)
~ THEN BEGIN 0 // from:
  SAY #32612 /* ~Ah!  A good day to you, <SIRMAAM>... it is nice to see a new face in the village, for once.  We haven't had many travelers through here since all these killings began, naturally.~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #32617 /* ~I'd be pleased to show you some of the goods I have to sell, although I must warn you... our mercantile company hasn't had much opportunity to deliver lately, so goods are spare.~ */
  IF ~~ THEN REPLY #32618 /* ~What can you tell me about all these killings?~ */ GOTO 2
  IF ~~ THEN REPLY #32620 /* ~Show me what you have to sell.~ */ GOTO 5
  IF ~~ THEN REPLY #32621 /* ~I'll be on my way.~ */ GOTO 6
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #32622 /* ~Ah!  Now that's a tale and a half.  Mind you... don't listen to the dribble these villagers might tell you... they'd have you half-believing that a five-hundred-year-old witch is on the prowl.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #32635 /* ~You see, the real story is that there's a pack o' wolves that's decided to come into the village area, here, and pick people off.  You can't even travel, much, unless you got an armed guard.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #32637 /* ~Makes for poor business, it does.  Our company thought it was a good thing when we won exclusive rights to Imnesvale from the Council.  Now it's just losin' us money.  Tch.~ */
  IF ~~ THEN REPLY #32619 /* ~Why doesn't everyone just leave?~ */ GOTO 7
  IF ~~ THEN REPLY #32638 /* ~Show me what you have to sell, then.~ */ GOTO 5
  IF ~~ THEN REPLY #32639 /* ~I'll be on my way, then.~ */ GOTO 6
END

IF ~~ THEN BEGIN 5 // from: 8.0 4.1 1.1
  SAY #32640 /* ~Always willing to satisfy a customer... with gold, that is.~ */
  IF ~~ THEN DO ~StartStore("uhmer01",LastTalkedToBy())~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 8.1 4.2 1.2
  SAY #32641 /* ~You be careful around these parts, then, if you plan on wanderin' around much.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from: 4.0
  SAY #32642 /* ~Well... some people still think the problem can be solved.  I hear the mayor hired a band of adventurers to look into it, but they've disappeared.~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #32647 /* ~No one wants to travel alone, but if something isn't done soon, they might decide to all leave together.  'Tis a shame... this is a prosperous village otherwise.  Good business, usually.~ */
  IF ~~ THEN REPLY #32648 /* ~Show me what you have to sell, then.~ */ GOTO 5
  IF ~~ THEN REPLY #32649 /* ~I'll be on my way, then.~ */ GOTO 6
END

IF ~Global("VillageSaved","GLOBAL",1)
!GlobalGT("rangerprotector","GLOBAL",4)~ THEN BEGIN 9 // from:
  SAY #32654 /* ~Good to see you again, <SIRMAAM>.  Since you saved this village, things have returned to normal, which is a mighty good thing.  I'm grateful, for one... as is my company.~ */
  IF ~Global("OgreAlliance","GLOBAL",1)
~ THEN GOTO 10
  IF ~Global("OgreAlliance","GLOBAL",0)
~ THEN GOTO 11
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #32657 /* ~Especially considering the fact that I know you engineered that deal with Madulf and his fellows.  Never would o' thought to sell goods to an ogre, but there it is... and he's a fair bargainer, too.~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0 9.1
  SAY #32658 /* ~Anything I can get our hero today, then?~ */
  IF ~~ THEN REPLY #32661 /* ~Yes, please... let me see what you have in stock.~ */ GOTO 12
  IF ~~ THEN REPLY #32662 /* ~No thanks.~ */ GOTO 13
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #32663 /* ~More than pleased to, <SIRMAAM>.~ */
  IF ~~ THEN DO ~StartStore("uhmer01",LastTalkedToBy())~ EXIT
END

IF ~~ THEN BEGIN 13 // from: 11.1
  SAY #32664 /* ~Well, you take care of yourself, then.~ */
  IF ~~ THEN EXIT
END

IF ~GlobalGT("rangerprotector","GLOBAL",4)~ THEN BEGIN 14 // from:
  SAY #38045 /* ~Ahhh... good day to you, then.  Is there something that you need?~ */
  IF ~~ THEN REPLY #38046 /* ~I'd like to see what you have in stock.~ */ GOTO 15
  IF ~~ THEN REPLY #38048 /* ~No, thanks.~ */ GOTO 16
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY #38049 /* ~Of course.  Help yourself.~ */
  IF ~~ THEN DO ~StartStore("uhmer01",LastTalkedToBy())~ EXIT
END

IF ~~ THEN BEGIN 16 // from: 14.1
  SAY #38050 /* ~As you wish.~ */
  IF ~~ THEN EXIT
END
